Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 11:56:38

0001 #!/bin/bash
0002 function die { echo $1: status $2; exit $2; }
0003 
0004 LOCAL_TEST_DIR=${SCRAM_TEST_PATH}
0005 
0006 echo "============== testing conversion to DB file from millepede.res"
0007 (cmsRun ${LOCAL_TEST_DIR}/convertMPresToDB_cfg.py) || die 'failed running convertMPresToDB_cfg.py' $?
0008 
0009 echo -e "Content of the current directory is: "`ls .`
0010 
0011 INPUTFILE=convertedFromResFile.db
0012 
0013 echo -e "\n\n============== testing converted file corresponds to input"
0014 (cmsRun ${SCRAM_TEST_PATH}/AlignmentRcdChecker_cfg.py inputSqliteFile=${INPUTFILE}) || die 'failed running AlignmentRcdChecker' $?